Class List Method List File List

# Class: Concurrent::Actor::UnknownMessage

Inherits:
  Error
  - Object
  - Concurrent::Actor::UnknownMessage
  show all
Includes:
  TypeCheck
Defined in:
  lib/concurrent/actor/errors.rb

## Instance Attribute Summary (collapse)

- - (undocumented) envelope readonly

## Instance Method Summary (collapse)

- - (undocumented) Child!(value, *types) included from TypeCheck
- - (Boolean) Child?(value, *types) included from TypeCheck
- - (UnknownMessage) initialize(envelope) constructor

  A new instance of UnknownMessage.

- - (undocumented) Match!(value, *types) included from TypeCheck
- - (Boolean) Match?(value, *types) included from TypeCheck
- - (undocumented) Type!(value, *types) included from TypeCheck
- - (Boolean) Type?(value, *types) included from TypeCheck

## Constructor Details

### - (`UnknownMessage`) initialize(envelope)

Returns a new instance of UnknownMessage

    21
    22
    23
    24

    # File 'lib/concurrent/actor/errors.rb', line 21

    def initialize(envelope)
      @envelope = Type! envelope, Envelope
      super "#{envelope.message.inspect} from #{envelope.sender_path}"
    end

## Instance Attribute Details

### - (`undocumented`) envelope (readonly)

    19
    20
    21

    # File 'lib/concurrent/actor/errors.rb', line 19

    def envelope
      @envelope
    end

## Instance Method Details

### - (`undocumented`) Child!(value, *types) Originally defined in module TypeCheck

### - (`Boolean`) Child?(value, *types) Originally defined in module TypeCheck

Returns:

- (`Boolean`)

### - (`undocumented`) Match!(value, *types) Originally defined in module TypeCheck

### - (`Boolean`) Match?(value, *types) Originally defined in module TypeCheck

Returns:

- (`Boolean`)

### - (`undocumented`) Type!(value, *types) Originally defined in module TypeCheck

### - (`Boolean`) Type?(value, *types) Originally defined in module TypeCheck

Returns:

- (`Boolean`)